h40178
s 00005/00005/00024
d D 1.5 83/03/30 22:43:25 mjb 5 4
c changed clipping 
e
s 00001/00001/00028
d D 1.4 83/03/02 11:32:40 tes 4 3
c modified for hshlng interface change from integer*4 to real
e
s 00002/00002/00027
d D 1.3 83/02/17 15:03:13 tes 3 2
c fixed text picking problems, mostly problems with hershey interface
e
s 00001/00001/00028
d D 1.2 83/01/29 14:31:03 mjb 2 1
c made changes to anocom, included in gphcom
e
s 00029/00000/00000
d D 1.1 83/01/24 18:03:00 tes 1 0
c date and time created 83/01/24 18:03:00 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine qstgsz (isize, width, height)
integer isize, height, width

integer size
I 5
integer hshwid, hshhgt
E 5
SHORTINT tststr(2)
D 3
real xoff, yoff
E 3
I 3
D 4
LONGINT xoff, yoff
E 4
I 4
D 5
real xoff, yoff
E 5
E 4
E 3

D 2
include(`anocom')
E 2
I 2
include(`gphcom')
E 2

data tststr /BIGA, NUL/

if (cfont > 1) {
D 5
   size = .8*isize + .5    # we scale by .8 because of reduced screen size
E 5
I 5
   size = .79*isize + .5    # we scale by .79 because of reduced screen size
E 5
   call hshsiz (size, size)
D 3
   call hshlng (cfont, tststr, xoff, yoff)
E 3
I 3
D 5
   call hshlng ((cfont-2), tststr, xoff, yoff)
E 3
   width = xoff
   height = yoff
E 5
I 5
   call hshfnt ((cfont-2))
   width = hshwid (tststr)
   height = hshhgt ()
E 5
   call hshclr (ccolor)
   }
else {
   call qsthsz (isize, width, height)
   }

ctsize = isize
ctsizx = width
ctsizy = height

return
end
E 1
